> For the complete documentation index, see [llms.txt](https://docs.ante.finance/ante/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ante.finance/ante/v05/for-devs.md).

# For Developers

- [Writing an Ante Test](https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test.md): Four steps to writing your first Ante Test
- [Coming up with an invariant](https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/invariant-ideas.md): Can't think of any tests? Maybe one of these will spark some inspiration!
- [Explaining IAnteTest.sol and AnteTest.sol](https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/iantetest.sol-and-antetest.sol.md): Ante Test basics
- [Ante Test Examples](https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/ante-test-examples.md): Sample Ante Tests to dissect for explanation
- [Writing and Testing an Ante Test](https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/writing-and-testing-an-ante-test.md)
- [Test an Ante Test Offline](https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/test-an-ante-test-offline.md): Testing an Ante Test before official deployment
- [Adding an Ante Test to Ante Github](https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/adding-an-ante-test-to-ante-github.md): Getting community involvement into the process
- [Development FAQs](https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/development-faqs.md)
- [Integrating Ante](https://docs.ante.finance/ante/v05/for-devs/integrate-ante.md): Instructions for integrating an Ante badge into your website/web app
- [Integrate Ante using React](https://docs.ante.finance/ante/v05/for-devs/integrate-ante/integrate-ante-using-react.md)
- [Integrate Ante using HTML](https://docs.ante.finance/ante/v05/for-devs/integrate-ante/integrate-ante-using-html.md)
- [Deploying an Ante Test](https://docs.ante.finance/ante/v05/for-devs/deploying-an-ante-test.md): Quick guide to deploying an Ante Test
- [Deploy an Ante Test](https://docs.ante.finance/ante/v05/for-devs/deploying-an-ante-test/deploy-an-ante-test.md): Deploy a completed Ante Test to Mainnet
- [Create an Ante Pool](https://docs.ante.finance/ante/v05/for-devs/deploying-an-ante-test/create-an-ante-pool.md): Deploying the Ante Pool for supporters and challengers to stake and challenge the Ante Test.
- [Verifying an Ante Pool](https://docs.ante.finance/ante/v05/for-devs/deploying-an-ante-test/verifying-an-ante-pool.md)
- [Contracts](https://docs.ante.finance/ante/v05/for-devs/contracts.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ante.finance/ante/v05/for-devs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
